Subject: bug#12299: 24.1; no byte compiler warning for inline function call with too few arguments [PATCH]

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 13:09:46 +0200

Mattias Engdegård <[email-masked]> writes:

> Would this patch do?
> For some reason that I haven't investigated, the usual
> warning-suppression mechanisms seem ineffective for these
> warnings. I'm probably doing something wrong. Even so, it's better to
> have arity checks that cannot be disabled than none at all.

Yes, we can fix up suppression afterwards...

> From cb9d873871eb445ad18b2a89f3c4ba7e6a4d3ef3 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <[email-masked]>
> Date: Thu, 22 Jul 2021 15:00:17 +0200
> Subject: [PATCH] Warn about arity errors in inlining calls (bug#12299)

This leads to warnings like:

Warning: Eager macro-expansion skipped due to cycle:
  … => (load "byte-opt.el") => (macroexpand-all (defalias 'byte-decompile-bytecode-1 …)) => (macroexpand (cl-symbol-macrolet …)) => (load "byte-opt.el")

At least initially?  A "make bootstrap" made it go away.

It otherwise seems to work fine for the test example.

I wondered whether this added warning would find errors in the Emacs
tree, so I did a "make bootstrap" after applying the patch, but we
apparently have none of those, which surprised me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no